PPA DESTROY(1)

NAME
ppa destroy - Deletes the given PPA from Launchpad.

SYNOPSIS
ppa destroy [-h | --help] [-A, --credentials <credentials_filename>] <ppa-name>

DESCRIPTION
The ppa destroy command deletes the given PPA from Launchpad. This removes the record from Launchpad, as well as all source and binary packages contained in it. Typically, the PPA's name will remain unavailable for some minutes or (sometimes) hours until Launchpad has completed processing things. Once it has, a fresh new PPA can be created with the same name.

OPTIONS

The following options can be used with the ppa destroy command.

-h, --help
    Prints the synopsis and a list of options for ppa destroy.

-A, --credentials <credentials_filename>
    Location of oauth credentials file. This permits managing Launchpad access without needing to log in via the web browser, which can be helpful in automation or if ppa-dev-tools is used on a host that lacks the ability to run a web browser due to graphical or other limitations. See ppa credentials(1) for details on how to create this file, and alternative ways of managing it.

EXIT STATUS

ppa destroy exits with status 0 if a command completes successfully, and nonzero on errors.

SEE ALSO
ppa-dev-tools(1)

PPA
Part of the ppa-dev-tools(1) suite.